Do not miss any MongoDB Relational Migrator REST API changes, ever again

Subscribe to the MongoDB Relational Migrator REST API changelog to be up to date on recent changes.

RSS

10 days ago

main
1.18.0
Compare
1.18.0

API structure has changed

Next change
7 structure changes including:
7 Modifications
Modified 7 Breaking
GET /jobs
  • Response
  • 200 response Modified
    • application/json content type Modified
      • options property Modified
        • signalingTable property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • incrementalSnapshotOptions property Added
      • statistics property Modified
        • migratedTables property Added
      • failureError property Modified
        • failedLocation, failedLocationType properties Added
      • connectorStatus property Added
GET /jobs/{jobId}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • options property Modified
        • signalingTable property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • incrementalSnapshotOptions property Added
      • statistics property Modified
        • migratedTables property Added
      • failureError property Modified
        • failedLocation, failedLocationType properties Added
      • connectorStatus property Added
GET /project/{projectId}/export
  • Response
  • 200 response Modified
    • application/json content type Modified
      • schema property Modified
        • full property Modified
POST /jobs
  • Body
  • application/json content type Modified
    • options property Modified
      • signalingTable property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • incrementalSnapshotOptions property Added
    • verification property Modified
      • type, countMethod properties Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • options property Modified
        • signalingTable property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • incrementalSnapshotOptions property Added
      • statistics property Modified
        • migratedTables property Added
      • failureError property Modified
        • failedLocation, failedLocationType properties Added
      • connectorStatus property Added
POST /jobs/{jobId}/pause
  • Response
  • 200 response Modified
    • application/json content type Modified
      • options property Modified
        • signalingTable property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • incrementalSnapshotOptions property Added
      • statistics property Modified
        • migratedTables property Added
      • failureError property Modified
        • failedLocation, failedLocationType properties Added
      • connectorStatus property Added
POST /jobs/{jobId}/resume
  • Response
  • 200 response Modified
    • application/json content type Modified
      • options property Modified
        • signalingTable property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • incrementalSnapshotOptions property Added
      • statistics property Modified
        • migratedTables property Added
      • failureError property Modified
        • failedLocation, failedLocationType properties Added
      • connectorStatus property Added
POST /jobs/{jobId}/stop
  • Response
  • 200 response Modified
    • application/json content type Modified
      • options property Modified
        • signalingTable property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
        • incrementalSnapshotOptions property Added
      • statistics property Modified
        • migratedTables property Added
      • failureError property Modified
        • failedLocation, failedLocationType properties Added
      • connectorStatus property Added